<?php

namespace bird\interfaces;

interface bird_voice_calls_client_i
{
    public function createVoiceCall(string $workspaceId, string $channelId, array $payload): array|object|null;

    public function listVoiceCalls(string $workspaceId, string $channelId, array $query = []): array|object|null;

    public function getVoiceCall(string $workspaceId, string $channelId, string $callId): array|object|null;

    public function updateVoiceCall(string $workspaceId, string $channelId, string $callId, array $payload): array|object|null;

    public function answerVoiceCall(string $workspaceId, string $channelId, string $callId, array $payload = []): array|object|null;

    public function ringVoiceCall(string $workspaceId, string $channelId, string $callId, array $payload = []): array|object|null;

    public function hangupVoiceCall(string $workspaceId, string $channelId, string $callId, array $payload = []): array|object|null;

    public function playbackVoiceCall(string $workspaceId, string $channelId, string $callId, array $payload): array|object|null;

    public function sayVoiceCall(string $workspaceId, string $channelId, string $callId, array $payload): array|object|null;

    public function gatherVoiceCall(string $workspaceId, string $channelId, string $callId, array $payload): array|object|null;

    public function bridgeVoiceCall(string $workspaceId, string $channelId, string $callId, array $payload): array|object|null;

    public function recordVoiceCall(string $workspaceId, string $channelId, string $callId, array $payload): array|object|null;
}

